@keyframes show {
    0% {
        opacity: 0;
        transform: scale(1.2);
    }
    30% {
        opacity: 1;
        transform: scale(1);
    }
    70% {
        opacity: 1;
        transform: scale(1);
    }
    85% {
        opacity: 0.5;
        transform: scale(.9);
    }
    100% {
        opacity: 0;
        transform: scale(.8);
    }
}

@keyframes smoke {
    0% {
        transform: translateY(-50%) translateX(75%) translateZ(1px);
    }
    50% {
        transform: translateY(-50%) translateX(00%) translateZ(1px);
    }
    100% {
        transform: translateY(-50%) translateX(75%) translateZ(1px);
    }
}
@keyframes smoke1 {
    0% {
        transform: translateY(0%) translateX(75%) translateZ(1px);
    }
    50% {
        transform: translateY(0%) translateX(00%) translateZ(1px);
    }
    100% {
        transform: translateY(0%) translateX(75%) translateZ(1px);
    }
}
@keyframes smoke2 {
    0% {
        transform: translateY(0%) translateX(-75%) translateZ(1px);
    }
    50% {
        transform: translateY(0%) translateX(00%) translateZ(1px);
    }
    100% {
        transform: translateY(0%) translateX(-75%) translateZ(1px);
    }
}

@keyframes gallery {
    0% {
        transform: translateX(0%);
    }
    50% {
        transform: translateX(50%);
    }
    100% {
        transform: translateX(100%);
    }
}

@keyframes scroll {
    0% {
        left: 100%;
    }
    50% {
        left: -100%;
    }
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}